# frozen_string_literal: true

#
# Overload the integer class
#
class Integer
    def nagios_ok(colour = nil)
        NagiosOutput::Nagios.ok(to_s, colour)
    end

    def nagios_warning(colour = nil)
        NagiosOutput::Nagios.warning(to_s, colour)
    end

    def nagios_critical(colour = nil)
        NagiosOutput::Nagios.critical(to_s, colour)
    end

    def nagios_unknown(colour = nil)
        NagiosOutput::Nagios.unknown(to_s, colour)
    end
end

#
# Overload the string class
#
class String
    def nagios_ok(colour = nil)
        NagiosOutput::Nagios.ok(self, colour)
    end

    def nagios_warning(colour = nil)
        NagiosOutput::Nagios.warning(self, colour)
    end

    def nagios_critical(colour = nil)
        NagiosOutput::Nagios.critical(self, colour)
    end

    def nagios_unknown(colour = nil)
        NagiosOutput::Nagios.unknown(self, colour)
    end
end
